Package: org.grails.encoder

## [Java] Interface StreamingEncoderWritable

-     public interface StreamingEncoderWritable

  Marks a class capable of encoding itself with given EncodesToWriter instance to given Writer instance

  Authors:
    Lari Hotari
  Since:
    2.3.10

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `encodeTo(java.io.Writer writer, EncodesToWriter encoder)` Asks the instance to use given writer and EncodesToWriter instance to encode it's content

- - ### Method Detail

    - #### public void encodeTo(java.io.Writer writer, EncodesToWriter encoder)

      Asks the instance to use given writer and EncodesToWriter instance to encode it's content

      throws:
        IOException Signals that an I/O exception has occurred.
      Parameters:
        `writer` - the target writer instance
        `encoder` - the encoder